jdk/test/sun/tools/jstatd/jstatdDefaults.sh
author ohair
Tue, 28 Dec 2010 15:53:50 -0800
changeset 7668 d4a77089c587
parent 5813 8e455cd3e807
child 10604 3f7bd2de5067
permissions -rw-r--r--
6962318: Update copyright year Reviewed-by: xdono
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     1
#
7668
d4a77089c587 6962318: Update copyright year
ohair
parents: 5813
diff changeset
     2
# Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     3
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     4
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     5
# This code is free software; you can redistribute it and/or modify it
90ce3da70b43 Initial load
duke
parents:
diff changeset
     6
# under the terms of the GNU General Public License version 2 only, as
90ce3da70b43 Initial load
duke
parents:
diff changeset
     7
# published by the Free Software Foundation.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     8
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     9
# This code is distributed in the hope that it will be useful, but WITHOUT
90ce3da70b43 Initial load
duke
parents:
diff changeset
    10
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
90ce3da70b43 Initial load
duke
parents:
diff changeset
    11
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
90ce3da70b43 Initial load
duke
parents:
diff changeset
    12
# version 2 for more details (a copy is included in the LICENSE file that
90ce3da70b43 Initial load
duke
parents:
diff changeset
    13
# accompanied this code).
90ce3da70b43 Initial load
duke
parents:
diff changeset
    14
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    15
# You should have received a copy of the GNU General Public License version
90ce3da70b43 Initial load
duke
parents:
diff changeset
    16
# 2 along with this work; if not, write to the Free Software Foundation,
90ce3da70b43 Initial load
duke
parents:
diff changeset
    17
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
90ce3da70b43 Initial load
duke
parents:
diff changeset
    18
#
5506
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    19
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    20
# or visit www.oracle.com if you need additional information or have any
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    21
# questions.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    22
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    23
90ce3da70b43 Initial load
duke
parents:
diff changeset
    24
# @test
90ce3da70b43 Initial load
duke
parents:
diff changeset
    25
# @bug 4990825
90ce3da70b43 Initial load
duke
parents:
diff changeset
    26
# @run shell/timeout=60 jstatdDefaults.sh
90ce3da70b43 Initial load
duke
parents:
diff changeset
    27
# @summary Test functionality of 'jstatd &'
90ce3da70b43 Initial load
duke
parents:
diff changeset
    28
90ce3da70b43 Initial load
duke
parents:
diff changeset
    29
. ${TESTSRC-.}/../../jvmstat/testlibrary/utils.sh
90ce3da70b43 Initial load
duke
parents:
diff changeset
    30
90ce3da70b43 Initial load
duke
parents:
diff changeset
    31
setup
90ce3da70b43 Initial load
duke
parents:
diff changeset
    32
verify_os
90ce3da70b43 Initial load
duke
parents:
diff changeset
    33
90ce3da70b43 Initial load
duke
parents:
diff changeset
    34
cleanup() {
90ce3da70b43 Initial load
duke
parents:
diff changeset
    35
  kill_proc ${JSTATD_PID}
90ce3da70b43 Initial load
duke
parents:
diff changeset
    36
}
90ce3da70b43 Initial load
duke
parents:
diff changeset
    37
90ce3da70b43 Initial load
duke
parents:
diff changeset
    38
trap 'cleanup' 0 HUP INT QUIT TERM
90ce3da70b43 Initial load
duke
parents:
diff changeset
    39
90ce3da70b43 Initial load
duke
parents:
diff changeset
    40
JSTATD="${TESTJAVA}/bin/jstatd"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    41
JPS="${TESTJAVA}/bin/jps"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    42
JSTAT="${TESTJAVA}/bin/jstat"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    43
90ce3da70b43 Initial load
duke
parents:
diff changeset
    44
HOSTNAME=`uname -n`
90ce3da70b43 Initial load
duke
parents:
diff changeset
    45
90ce3da70b43 Initial load
duke
parents:
diff changeset
    46
JSTATD_OUT="jstatd_$$.out"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    47
90ce3da70b43 Initial load
duke
parents:
diff changeset
    48
${JSTATD} -J-Djava.security.policy=${TESTSRC}/all.policy 2>&1 > ${JSTATD_OUT} &
90ce3da70b43 Initial load
duke
parents:
diff changeset
    49
JSTATD_PID=$!
90ce3da70b43 Initial load
duke
parents:
diff changeset
    50
90ce3da70b43 Initial load
duke
parents:
diff changeset
    51
echo "jstatd started as pid ${JSTATD_PID}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    52
sleep 3
90ce3da70b43 Initial load
duke
parents:
diff changeset
    53
90ce3da70b43 Initial load
duke
parents:
diff changeset
    54
${JPS} ${HOSTNAME} 2>&1 | awk -f ${TESTSRC}/jpsOutput1.awk
90ce3da70b43 Initial load
duke
parents:
diff changeset
    55
90ce3da70b43 Initial load
duke
parents:
diff changeset
    56
if [ $? -ne 0 ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    57
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    58
    echo "Output of jps differs from expected output. Failed."
5813
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    59
    cleanup
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    60
    exit 1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    61
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    62
5813
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    63
${JSTAT} -gcutil ${JSTATD_PID}@${HOSTNAME} 250 5 2>&1 | awk -f ${TESTSRC}/jstatGcutilOutput1.awk
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    64
RC=$?
90ce3da70b43 Initial load
duke
parents:
diff changeset
    65
90ce3da70b43 Initial load
duke
parents:
diff changeset
    66
if [ ${RC} -ne 0 ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    67
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    68
    echo "jstat output differs from expected output"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    69
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    70
90ce3da70b43 Initial load
duke
parents:
diff changeset
    71
if [ -s ${JSTATD_OUT} ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    72
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    73
    echo "jstatd generated the following, unexpected output:"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    74
    RC=1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    75
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    76
5813
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    77
cleanup
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    78
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    79
exit ${RC}